import { APIConnector, RequestState, QueryConfig, ResponseState, AutocompleteQueryConfig, AutocompleteResponseState } from '@elastic/search-ui';
import { C as ConnectionOptions, R as RequestModifiers, P as PostProcessRequestBodyFn } from './api-proxy-yAIz3ZzF.js';
export { f as Aggregation, i as ApiClientTransporter, A as ApiProxyConnector, h as CloudHost, F as Filter, d as FilterValue, e as FilterValueRange, I as IApiClientTransporter, Q as QueryRangeValue, a as ResponseBody, c as SearchHit, g as SearchQueryHook, S as SearchRequest, b as SearchSourceFilter } from './api-proxy-yAIz3ZzF.js';
import '@elastic/elasticsearch';

declare class ElasticsearchAPIConnector implements APIConnector {
    /**
     * @deprecated Use `config.interceptSearchRequest` instead
     */
    private postProcessRequestBodyFn?;
    private apiClient;
    private interceptSearchRequest?;
    private getQueryFn?;
    private interceptAutocompleteResultsRequest?;
    private interceptAutocompleteSuggestionsRequest?;
    constructor(config: ConnectionOptions & RequestModifiers, 
    /**
     * @deprecated Use `config.interceptSearchRequest` instead
     */
    postProcessRequestBodyFn?: PostProcessRequestBodyFn);
    onResultClick(): void;
    onAutocompleteResultClick(): void;
    onSearch(state: RequestState, queryConfig: QueryConfig): Promise<ResponseState>;
    onAutocomplete(state: RequestState, queryConfig: AutocompleteQueryConfig): Promise<AutocompleteResponseState>;
}

export { ConnectionOptions, PostProcessRequestBodyFn, RequestModifiers, ElasticsearchAPIConnector as default };
